Skip to main content
`Ctrl`+`K`

# PetscOptionsBoolArray

Gets an array of logical values (true or false) for a particular option in the database. The values must be separated with commas with no intervening spaces.

## Synopsis

    #include <petscoptions.h>
    PetscErrorCode PetscOptionsBoolArray(const char opt[], const char text[], const char man[], PetscBool value[], PetscInt *n, PetscBool *set)

Logically Collective on the communicator passed in `PetscOptionsBegin()`

## Input Parameters

- opt - the option one is seeking

- text - short string describing option

- man - manual page for option

- n - maximum number of values allowed in the value array

## Output Parameters

- value - location to copy values

- n - actual number of values found

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

The user should pass in an array of `PetscBool`

Must be used between a `PetscOptionsBegin()` and a `PetscOptionsEnd()`

## See Also

`PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

include/petscoptions.h

## Examples

src/ksp/ksp/tutorials/ex71.c
src/sys/tutorials/ex9f.F90

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages